%define module_name Dist-Zilla-Plugin-InsertDistImage
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/Role/FileFinderUser.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Insert images contained in distribution into POD as HTML snippets
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-InsertDistImage

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin finds `# IMAGE' directive in your POD/code and replace it with
a POD containing HTML snippet to load the images, using the selected hosting
provider's URL scheme.

Rationale: sometimes documentation needs some images. Sometimes the proper (not
to mention convenient) place to put the images is within the distribution
itself. And you want to be able to view the images when you browse the POD in
HTML form.

The `#IMAGE' directive must occur at the beginning of line and must be followed
by path to the image (relative to the distribution's root). It is recommended to
put the images in share/images.

You can put alternate locations by using `|', e.g.:

 # IMAGE: location1.jpg|location2.jpg

This can be useful if you are using hosting=data (where this plugin needs to
read the content of the file) and `location1.jpg' is produced by another plugin
and might not be ready or added to the build at the time this plugin runs (but
`location2.jpg' is the temporary version of the file that already exists).

Shared image files deployed inside a tarball (such as one created using
the Dist::Zilla::Plugin::ShareDir::Tarball manpage) are not yet supported.

=for Pod::Coverage .+
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/D*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

